# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(JSON/Path.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/Deep/NoTest.pm) perl(YAML/Tiny.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name JSON-Assert
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Asserts JSONPaths into a JSON data structure for correct values/matches
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SG/SGREEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module allows you to test JPaths into a JSON data structure to check that their
number or values are what you expect.

To test the number of keys you expect to find, use the `assert_jpath_count()'
method. To test the value of a key, use the
`assert_jpath_value_match()'. This method can test against strings or regexes.

You can also text a value against a number of keys by using the
`assert_jpath_values_match()' method. This can check your value against any
number of keys.

Each of these assert methods throws an exception if they are false. Therefore,
there are equivalent methods which do not die, but instead return a truth
value. They are does_jpath_count(), does_jpath_value_match() and
do_jpath_values_match().



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README COPYING.txt
%perl_vendor_privlib/T*
%perl_vendor_privlib/J*

%changelog
* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

